Name: proxsmtp
Version: 1.10
Release: 1%{?dist}
Summary: An SMTP Filter Proxy
Source0: http://www.memberwebs.com/stef/software/proxsmtp/proxsmtp-%{version}.tar.gz
Source1: proxsmtpd.init
URL: http://www.memberwebs.com/stef/software/proxsmtp/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
License: BSD-like
Group: System Environment/Daemons
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig, /sbin/service
Requires(postun): /sbin/service
BuildRequires: sed
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
ProxSMTP is a flexible tool that allows you to reject, change or log email
based on arbitrary critera. It accepts SMTP connections and forwards the
SMTP commands and responses to another SMTP server. The 'DATA' email body
is intercepted and filtered before forwarding.

ProxSMTP is written with the Postfix mail server in mind.

ProxSMTP can also be used as a transparent proxy to filter an entire
network's SMTP traffic at the router.

%prep
%setup -q

%build
%{configure} --disable-tproxy
%{__make}
%{__sed} -e 's,^#User:,User:,g' < doc/%{name}d.conf > doc/%{name}d.conf.rpm

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"
%{__install} -d %{buildroot}%{_initrddir}
%{__install} -d %{buildroot}%{_var}/run/%{name}d
%{__install} -m 0755 -p %{SOURCE1} %{buildroot}%{_initrddir}/%{name}d
%{__install} -m 0644 -p doc/%{name}d.conf.rpm %{buildroot}%{_sysconfdir}/%{name}d.conf
#{__sed} -e 's,^#User:,User:,g' < doc/%{name}d.conf > %{buildroot}%{_sysconfdir}/%{name}d.conf

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post
/sbin/chkconfig --add %{name}d

%preun
if [ $1 = 0 ]; then
  /sbin/service %{name}d stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del %{name}d
fi

%postun
if [ "$1" -ge "1" ]; then
  /sbin/service %{name}d condrestart >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README scripts/{add_header.sh,spamassassin.sh}
%{_sbindir}/%{name}d
%config %{_initrddir}/%{name}d
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}d.conf
%{_mandir}/man?/%{name}d*
%attr(0755,nobody,root) %dir %{_var}/run/%{name}d

%changelog
* Sat Oct 22 2011 Simon Matter <simon.matter@invoca.ch> 1.10-1
- update to 1.10

* Wed Aug 10 2011 Simon Matter <simon.matter@invoca.ch> 1.9-3
- change defattr to fix directory permissions on EL6

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 1.9-2
- mass rebuild

* Wed Jan 26 2011 Simon Matter <simon.matter@invoca.ch> 1.9-1
- update to 1.9

* Thu Jul 03 2008 Simon Matter <simon.matter@invoca.ch> 1.8-1
- update to 1.8

* Wed Jun 27 2007 Simon Matter <simon.matter@invoca.ch> 1.7-1
- update to 1.7

* Wed Dec 06 2006 Simon Matter <simon.matter@invoca.ch> 1.6-1
- update to 1.6

* Thu Sep 21 2006 Simon Matter <simon.matter@invoca.ch> 1.5-1
- update to 1.5

* Fri Dec 09 2005 Simon Matter <simon.matter@invoca.ch> 1.3-1
- update to 1.3

* Wed Apr 20 2005 Simon Matter <simon.matter@invoca.ch>
- update to 1.2.1

* Tue Mar 29 2005 Simon Matter <simon.matter@invoca.ch>
- update to 1.2

* Thu Feb 03 2005 Simon Matter <simon.matter@invoca.ch>
- update to 1.1

* Mon Jan 17 2005 Simon Matter <simon.matter@invoca.ch>
- removed pidfile patch, it's not worth it

* Mon Dec 27 2004 Simon Matter <simon.matter@invoca.ch>
- removed current pidfile patch, implemented safer pidfile patch
- pidfile has it's own subdirectory now which is owned by nobody

* Mon Dec 20 2004 Simon Matter <simon.matter@invoca.ch>
- added patch to create pidfile before dropping privileges
- change default user to nobody

* Sun Dec 19 2004 Simon Matter <simon.matter@invoca.ch>
- initial build
